For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LearnGraph LoginRequest a Demo
HomeAPIBulk DataSayari LibraryChange Log
  • Key Concepts
    • Introduction
    • Endpoint Overview
    • Authentication
    • Requests
    • Pagination
    • Response Status Codes
    • Data Types
    • Rate Limits
  • API Clients
    • Overview
    • Open API
    • Postman
    • Go
    • Python
    • Node
  • API Reference
      • GETGet Usage
      • GETGet History
  • Guides
    • Getting Started
    • Understanding Project Entity
    • Risk Factors
    • Entity Search
    • Advanced Entity Search
    • Resolution
    • Trade Search - Shipments
    • Trade Search - Suppliers & Buyers
    • v0 Migration
  • Implementation Patterns
    • Project Entity Supply Chain
  • Use Cases
    • Entity Screening & Verification
    • Investigations
LogoLogo
LearnGraph LoginRequest a Demo
API ReferenceInfo

Get Usage

GA
GET
/v1/usage
GET
/v1/usage
$curl https://api.sayari.com/v1/usage \
> -H "Authorization: Bearer <token>"
1{
2 "usage": {
3 "entity": 1,
4 "record": 1,
5 "resolve": 1,
6 "search": 1,
7 "trade_traversal": 1,
8 "traversal": 1
9 },
10 "from": "from",
11 "to": "to"
12}
The usage endpoint provides a simple interface to retrieve information on usage made by your API account. This includes both views per API path and credits consumed. The time period for the usage query is also specified in the response and whether or not this includes total usage.
Was this page helpful?
Previous

Get History

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Query parameters

fromdateOptional

An ISO 8601 encoded date string indicating the starting time period to obtain usage stats. In the format YYYY-MM-DD

todateOptional

An ISO 8601 encoded date string indicating the ending time period to obtain usage stats. In the format YYYY-MM-DD

Response

OK
usageobject
Usage information for each endpoint
fromstring
The start date of the returned usage information.
tostring
The end date of the returned usage information.

Errors

400
Bad Request
401
Unauthorized
404
Not Found
429
Rate Limit Exceeded
500
Internal Server Error